Subject: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: Richard Copley <[email-masked]>
Date: Mon, 3 Oct 2016 20:35:38 +0100

On 29 September 2016 at 00:21, Richard Copley <[email-masked]> wrote:
> On 24 September 2016 at 20:04, martin rudalics <[email-masked]> wrote:
>> I attached two patches that seem to work, but without any warranty (I do
>> not fully understand the intentions of frame-focus/focus_frame and
>> x_get_focus_frame yet).  The purpose of these patches is to keep the
>> ‘next-window’ and ‘other-window’ mechanisms symmetric whenever a frame
>> shares its minibuffer with other frames:
>>
>> (1) The frame.c patch changes the behavior of ‘do_switch_frame’ by
>> redirecting focus to another frame that shares this frame's minibuffer
>> even when that other frame has no pending minibuffer activity.
>>
>> (2) The window.c patch simply inhibits ‘next-window’ to select a window
>> on a frame that has no pending minibuffer activity.
>>
>> Please try these patches (only one at a time because the window.c patch
>> makes the frame.c patch moot) and tell me whether they have any bad
>> effects.
>>
>> Thanks, martin
>
> Thank you!
>
[...]
>
> I'll try patch (2) later. It sounds logical to me.

I've been using the window.c patch for a few days and I haven't noticed
any badness.